#### D.15.2.2 monomials

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  monomials(f); f poly

Return:
  the set of monomials of f as a list

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = 2*x^2+5*x*y+7*x^7;
    monomials(f);
    ==> [1]:
    ==>    x2
    ==> [2]:
    ==>    xy
    ==> [3]:
    ==>    x7

User manual for Singular version 4.4.1, 2025, generated by texi2html.